## xapian-bindings 1.0.20-2maemo1

=== debian/changelog ===
xapian-bindings (1.0.20-2maemo1) unstable; urgency=low

  * initial package for maemo based on lp:ubuntu/xapian-bindings rev 14

 -- Markus Korn <thekorn@gmx.de>  Fri, 23 Jul 2010 10:45:37 +0000

xapian-bindings (1.0.20-1) unstable; urgency=low

  * New upstream release.
  * Drop conflicts on versioned python packages (e.g. python2.4-xapian) as
    these packages were phased out before etch.

 -- Olly Betts <olly@survex.com>  Wed, 28 Apr 2010 02:20:52 +0000

xapian-bindings (1.0.19-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Fix clean target to remove python/testsuite.pyc.
    (Closes: #577094)
  * debian/rules: Compile with -g - needed for armel to workaround unaligned
    relocations. (Closes: #576944)

 -- Olly Betts <olly@survex.com>  Thu, 15 Apr 2010 14:55:34 +0000

xapian-bindings (1.0.18-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    + Remove "DM-Upload-Allowed: yes" as I'm now a DD.
    + Add "Vcs-Browser:" and "Vcs-svn:".
    + Standards-Version: 3.8.4 (no changes required).
  * debian/rules: Update licence boilerplate from GPLv2+ to MIT/X.
  * debian/etc-php-conf.d-xapian.ini: Use ';' for comment instead of '#' as
    PHP 5.3 deprecates the latter.
  * Register the documentation for each language with doc-base.

 -- Olly Betts <olly@survex.com>  Sun, 14 Feb 2010 12:17:03 +0000

xapian-bindings (1.0.17-1) unstable; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Thu, 19 Nov 2009 04:13:17 +0000

xapian-bindings (1.0.16-2) unstable; urgency=low

  * Fix non-POSIX use of ".", fixing regression introduced in 1.0.15.
    (Closes: #546635)

 -- Olly Betts <olly@survex.com>  Tue, 15 Sep 2009 09:21:08 +0000

xapian-bindings (1.0.16-1) unstable; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Sat, 12 Sep 2009 14:19:16 +0100

xapian-bindings (1.0.15-1) unstable; urgency=low

  * New upstream release.
  * Fix typo in package descriptions.
  * debian/control.in: Standards-Version: 3.8.3 (no changes required).

 -- Olly Betts <olly@survex.com>  Thu, 27 Aug 2009 02:01:39 +0000

xapian-bindings (1.0.14-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Standards-Version: 3.8.2 (no changes required).
  * debian/control.in: Drop the "www." from the homepage URL for consistency
    with upstream use.
  * debian/rules: Enable php5 bindings for hurd-i386 as php5 has now built
    there.
  * debian/rules: Include DH_PYCENTRAL=include-links change from Ubuntu - this
    means that the package is immediately useful when installed or upgraded.
    The downside is that the package needs a rebuild when the list of Python
    versions changes, but that's much less frequent than new Xapian packages.
  * debian/control.in: Update required debhelper version for Debian sarge and
    Ubuntu dapper.

 -- Olly Betts <olly@survex.com>  Thu, 30 Jul 2009 03:45:53 +0100

xapian-bindings (1.0.13-1) unstable; urgency=low

  * New upstream release.
    + Fixes deadlocks due to bugs in mod_python. (Closes: #442006)
  * debian/rules: Don't allow CODENAME to be set in the environment.
  * Relicense the Debian packaging under the MIT/X licence.

 -- Olly Betts <olly@survex.com>  Sat, 20 Jun 2009 13:31:06 +0100

xapian-bindings (1.0.12-2) unstable; urgency=low

  * debian/copyright: Update for 2009 (and 2008 for the code in java/).
    /usr/share/common-licenses/GPL -> /usr/share/licenses/GPL-2 since the
    former is now a symlink to GPL-3 and Xapian is GPL v2 or later.
  * debian/python-xapian.install: Look for files to install in "*-packages"
    instead of "site-packages" as Ubuntu jaunty's Python 2.6 installs packaged
    extensions in dist-packages instead.

 -- Olly Betts <olly@survex.com>  Sun,  3 May 2009 10:56:17 +0100

xapian-bindings (1.0.12-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Standards-Version: 3.8.1 (no changes required).
  * debian/control.in,debian/control-php.in: Update sections of php5-xapian
    and libxapian-ruby1.8.
  * debian/compat: Increase from 4 to 5 since 4 is now deprecated in sid and
    5 is supported by all currently supported Debian and Ubuntu releases.

 -- Olly Betts <olly@survex.com>  Wed, 22 Apr 2009 05:42:53 +0100

xapian-bindings (1.0.10-1) unstable; urgency=low

  * ACK NMU - thanks Chris!
    - Bug #506090 fixed upstream in 1.0.10 so NMU patch no longer required.
  * New upstream release.
  * debian/control.in: Add "DM-Upload-Allowed: yes" since I'm now a Debian
    Maintainer.

 -- Olly Betts <olly@survex.com>  Tue, 23 Dec 2008 07:32:55 +0000

xapian-bindings (1.0.7-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS when built twice in a row by cleaning python/testsuite.pyc in
    clean target. (Closes: #506090)

 -- Chris Lamb <lamby@debian.org>  Tue, 18 Nov 2008 19:32:24 +0000

xapian-bindings (1.0.7-3) unstable; urgency=low

  * Install /etc/php5/conf.d/xapian.ini instead of /etc/php5/conf.d/xapian as
    the file is ignored unless it has extensions ".ini".  Closes: #493941
  * Install xapian.php in /usr/share/php not /usr/share/php5 so that it is in
    the default PHP include_path.  Closes: #493944
  * debian/rules: Run "make all" and "make check" as separate commands to
    avoid hitting parallel building bugs.  Closes: #494247

 -- Olly Betts <olly@survex.com>  Fri,  8 Aug 2008 08:18:52 +0100

xapian-bindings (1.0.7-2) unstable; urgency=low

  * debian/rules: Fix build rule to be parallel make safe.
  * debian/rules: Back out link_all_deplibs=no change made in 1.0.7-1 since
    the bindings shared objects weren't getting an explicit dependency on zlib
    anyway.

 -- Olly Betts <olly@survex.com>  Tue, 29 Jul 2008 15:25:56 +0100

xapian-bindings (1.0.7-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update for 2008 and a few other minor changes.
  * debian/rules: The dependency on libxapianN is now versioned.  We require a

