=== debian/control ===
Source: xapian-bindings
Section: libs
Priority: optional
Maintainer: Markus Korn <thekorn@gmx.de>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5.0.37.1), python (>= 2.3.5-7), python-central (>= 0.4.10), python-all-dev,
 tcl8.5-dev, ruby1.8-dev, ruby1.8, libxapian-dev (>= 1.0.20), libxapian-dev (<< 1.1.0), po-debconf, autotools-dev
XS-Python-Version: all
Homepage: http://xapian.org/
Vcs-Browser: http://trac.xapian.org/browser/branches/1.0/xapian-bindings
Vcs-svn: svn://svn.xapian.org/xapian/branches/1.0/xapian-bindings

Package: tclxapian
Section: libs
Architecture: any
Depends: ${tcl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: xapian-doc
Description: Xapian search engine interface for Tcl
 This package provides Xapian Tcl bindings which should work with any version
 of Tcl >= 8.1 (by using Tcl's stubs mechanism.)
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.
 .
 The Xapian Tcl bindings provide an interface to the Xapian library from the
 Tcl programming language, allowing both indexing and retrieval operations.

Package: libxapian-ruby1.8
Section: ruby
Architecture: any
Depends: ${ruby:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: xapian-doc
Description: Xapian search engine interface for Ruby 1.8
 This package provides Xapian Ruby bindings built for Ruby 1.8.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.
 .
 The Xapian Ruby bindings provide an interface to the Xapian library from the
 Ruby programming language, allowing both indexing and retrieval operations.

Package: python-xapian
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: xapian-doc
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Xapian search engine interface for Python
 This package provides Xapian Python bindings for all the packaged versions
 of Python.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.
 .
 The Xapian Python bindings provide an interface to the Xapian library from the
 Python programming language, allowing both indexing and retrieval operations.

#Package: php5-xapian
#Section: php
#Architecture: any
#Depends: ${php5:Depends}, ${shlibs:Depends}, ${misc:Depends}
#Suggests: xapian-doc
#Description: Xapian search engine interface for PHP5
# This package provides Xapian PHP bindings built for PHP5.
# .
# The Xapian search engine library is a highly adaptable toolkit which allows
# developers to easily add advanced indexing and search facilities to their own
# applications.  It implements the probabilistic model of information retrieval,
# and provides facilities for performing ranked free-text searches, relevance
# feedback, phrase searching, boolean searching, stemming, and simultaneous
# update and searching.  It is highly scalable, and is capable of working with
# collections containing hundreds of millions of documents.
# .
# The Xapian PHP bindings provide an interface to the Xapian library from PHP,
# allowing both indexing and retrieval operations.
