## xapian-bindings 1.2.3

=== debian/changelog ===
xapian-bindings (1.2.3-3) unstable; urgency=low

  * debian/libxapian-ruby1.9.1.doc-base: Correct paths to rdocs to say "1.9.1"
    not "1.9".

 -- Olly Betts <olly@survex.com>  Fri, 27 Aug 2010 00:35:42 +0000

xapian-bindings (1.2.3-2) unstable; urgency=low

  * debian/rules: Stop trying to build against tcl 8.5.
  * debian/rules: dh_clean -k -> dh_prep.

 -- Olly Betts <olly@survex.com>  Wed, 25 Aug 2010 16:22:03 +0000

xapian-bindings (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * debian/control.in:
    + Standards-Version: 3.9.1 (no changes required).

 -- Olly Betts <olly@survex.com>  Tue, 24 Aug 2010 09:05:31 +0000

xapian-bindings (1.2.2-1) experimental; urgency=low

  * New upstream release.
  * Build against tcl 8.5 in experimental.  (Closes: #582217)
  * debian/rules: Set TCLSH=/usr/bin/tclsh-default to make sure we use the
    default version of tclsh even if another version is installed and the
    preferred alternative.  Reported by Jonathan Nieder as a secondary issue in
    #582217.

 -- Olly Betts <olly@survex.com>  Mon, 05 Jul 2010 13:50:16 +0000

xapian-bindings (1.2.0-3) experimental; urgency=low

  * Removing the call to autoreconf means we need libxapian-dev >= 1.2.0-2.
  * Update to require dh7 and use dh compact level 7.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Drop unused build-dependency on po-debconf.
  * Drop version from Python dependency - even etch and dapper have a new
    enough Python.  Drop out-dated fallback if pyversions isn't installed.

 -- Olly Betts <olly@survex.com>  Tue, 04 May 2010 14:36:05 +0000

xapian-bindings (1.2.0-2) experimental; urgency=low

  * Don't need to autoreconf now.

 -- Olly Betts <olly@survex.com>  Mon, 03 May 2010 16:29:25 +0000

xapian-bindings (1.2.0-1) experimental; urgency=low

  * New upstream release.
  * debian/php5-xapian.postinst: Drop support for upgrading from version in
    etch.

 -- Olly Betts <olly@survex.com>  Thu, 29 Apr 2010 07:45:30 +0000

xapian-bindings (1.1.5-2) experimental; urgency=low

  * debian/rules:
    + Fix reversed conditional so we actually build Ruby 1.9.1 packages.
    + Drop php5-xapian packages due to licence incompatibility.
      (Closes: #513796)
  * debian/control.in: Add missing build-dependencies: autoconf, automake-1.10,
    and libtool.

 -- Olly Betts <olly@survex.com>  Sun, 25 Apr 2010 06:56:27 +0000

xapian-bindings (1.1.5-1) experimental; urgency=low

  * Drop support for unsupported Debian and Ubuntu releases, and also Ubuntu
    dapper.
  * debian/python-xapian.install: The xapian packages are now generated in a
    subdirectory, so update the paths accordingly, and include the .pth file.
  * debian/rules: Do all building under debian/build so we can clean up with a
    single call to "rm -rf".
  * debian/rules,debian/control.in,debian/control-ruby.in: Build packages for
    Ruby 1.9.1 where appropriate.
  * debian/rules: Run autoreconf to pick up Debian's patched libtool.
  * Drop conflicts on versioned python packages (e.g. python2.4-xapian) as
    these packages were phased out before etch.

 -- Olly Betts <olly@survex.com>  Sun, 25 Apr 2010 01:37:51 +0000
