=== debian/rules ===
--- 
+++ 
@@ -36,51 +36,19 @@
 # `--exclude=.EXT' arguments to pass dh_install
 DH_INSTALL_EXCLUDE := --exclude=.pyc --exclude=.pyo
 
-# Debian "etch" (and later), and Ubuntu "edgy" (and later) have pyversions.
-USE_PYVERSIONS := no
-ifeq ($(findstring .$(CODENAME)., .sarge.dapper.), )
-USE_PYVERSIONS := yes
-endif
-
-ifeq ($(USE_PYVERSIONS), yes)
-
 # The python versions to build for:
 PYTHON_VERSIONS := $(shell pyversions -r debian/control)
-ifeq ($(PYTHON_VERSIONS), )
-PYTHON_VERSIONS := python2.3 python2.4
-endif
-# python >= 2.3.5-7 is required for the pyversions command.
-BUILD_DEPS := debhelper (>= 5.0.37.1), python (>= 2.3.5-7), python-central (>= 0.4.10), python-all-dev,
-
-else
-
-# When we finally drop support for both sarge and dapper, we can remove this
-# branch as all newer distros have pyversions.  On dapper, python2.2 is in
-# universe and 2.3 and 2.4 are available, so we could drop 2.2 support if
-# necessary.
-
-# The python versions to build for (Debian sarge also has Python 2.1, but
-# xapian-bindings now requires at least Python 2.2):
-PYTHON_VERSIONS := python2.2 python2.3 python2.4
-
-# We need python itself for dh_python to work.
-BUILD_DEPS := debhelper (>= 5), python, $(PYTHON_VERSIONS:%=%-dev,)
-
-endif
-
-# The PHP versions to build for:
-ifeq ($(CODENAME), sarge)
-# Debian sarge doesn't have PHP5.
-PHP_VERSIONS := 4
-DH_INSTALL_EXCLUDE += --exclude=.php5
-else
-ifneq ($(findstring .$(CODENAME)., .etch.dapper.edgy.), )
-PHP_VERSIONS := 4 5
-else
-# PHP4 support was dropped in Debian sid (and lenny) and Ubuntu feisty.
-PHP_VERSIONS := 5
-DH_INSTALL_EXCLUDE += --exclude=.php4
-endif
+
+BUILD_DEPS := debhelper (>= 7), python, python-central (>= 0.4.10), python-all-dev,
+
+# Disabled due to incompatibility of GPL and PHP licence.  Uncomment to build
+# your own binary packages (just don't distribute them!)
+# PHP_VERSIONS := 5
+
+ifeq ($(findstring .$(CODENAME)., .lenny.hardy.intrepid.jaunty.), )
+RUBY_VERSIONS := 1.8 1.9.1
+else
+RUBY_VERSIONS := 1.8
 endif
 
 # We'll need this if we ever generate different .py modules for different
@@ -130,27 +98,27 @@
 # bindings will work with any Tcl version from 8.0.6 upwards, whichever
 # version they were built against.
 #
-ifeq ($(findstring .$(CODENAME)., .sarge.etch.dapper.edgy.feisty.gutsy.), )
 # lenny/hardy onwards have a "tcl-dev" dummy package which pulls in the package
 # for the current preferred version.
+ifeq ($(CODENAME), experimental)
+BUILD_DEPS += tcl-dev (>= 8.5), tcl (>= 8.5),# NB Trailing ',' required here!
+else
 BUILD_DEPS += tcl-dev,# NB Trailing ',' required here!
-TCLSH=/usr/bin/tclsh
-else
-# All the older distributions which we want to build packages for have
-# tcl8.4-dev, so just build against that.
-BUILD_DEPS += tcl8.4-dev,# NB Trailing ',' required here!
-TCLSH=/usr/bin/tclsh8.4
-endif
+endif
+TCLSH=/usr/bin/tclsh-default
 
 # Build depends for Ruby.
-BUILD_DEPS += ruby1.8-dev, ruby1.8,# NB Trailing ',' required here!
-RUBY=/usr/bin/ruby1.8
-RUBY_LIB=$(shell $(RUBY) -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
-RUBY_LIB_ARCH=$(shell $(RUBY) -rrbconfig -e 'puts Config::CONFIG["archdir"]')
+#
+# Only the first % in the replacement part is substituted, so we need to do
+# this in two goes.
+BUILD_DEPS += $(RUBY_VERSIONS:%=ruby%-dev,)
+BUILD_DEPS += $(RUBY_VERSIONS:%=ruby%,)
 
 # We need a versioned build dependency on libxapian-dev.
-BUILD_DEPS += libxapian-dev (>= $(XAPIAN_VERSION)),# NB Trailing ',' required here!
-BUILD_DEPS += libxapian-dev (<< $(XAPIAN_VERSION_CEILING)),# NB Trailing ',' required here!
+# NB Trailing ',' required here!
+BUILD_DEPS += \
+	libxapian-dev (>= $(XAPIAN_VERSION)), \
+	libxapian-dev (<< $(XAPIAN_VERSION_CEILING)),
 
 commonconfflags := \
 	$(confflags) \
@@ -173,6 +141,9 @@
 	for v in $(PHP_VERSIONS); do \
 	    sed "s/@PHP_VERSION@/$$v/g" debian/control-php.in ;\
 	done >> debian/control.tmp
+	for v in $(RUBY_VERSIONS); do \
+	    sed "s/@RUBY_VERSION@/$$v/g" debian/control-ruby.in ;\
+	done >> debian/control.tmp
 	mv debian/control.tmp debian/control
 
 configure: debian/configure-stamp
@@ -187,28 +158,40 @@
 
 	for python in $(PYTHON_VERSIONS); do \
 	    set -e; \
-	    mkdir -p build-$$python; \
-	    cd build-$$python; \
-	    ../configure $(commonconfflags) --with-python \
+	    mkdir -p debian/build/$$python; \
+	    cd debian/build/$$python; \
+	    ../../../configure $(commonconfflags) --with-python \
 		PYTHON=/usr/bin/$$python; \
-	    cd ..; \
+	    cd ../../..; \
 	done
 
 	for v in $(PHP_VERSIONS); do \
 	    c=/usr/bin/php-config$$v; \
 	    if test -x $$c ; then \
 		set -e; \
-		mkdir -p build-php$$v; \
-		cd build-php$$v; \
-		../configure $(commonconfflags) --with-php PHP_CONFIG=$$c; \
-		cd ..; \
+		mkdir -p debian/build/php$$v; \
+		cd debian/build/php$$v; \
+		../../../configure $(commonconfflags) --with-php PHP_CONFIG=$$c; \
+		cd ../../..; \
 	    fi \
 	done
 
-	mkdir -p build-tcl-and-ruby
-	cd build-tcl-and-ruby && ../configure $(commonconfflags) \
-	    --with-tcl TCLSH=$(TCLSH) TCL_LIB=/usr/lib/tcltk \
-	    --with-ruby RUBY=$(RUBY) RUBY_LIB=$(RUBY_LIB) RUBY_LIB_ARCH=$(RUBY_LIB_ARCH)
+	for v in $(RUBY_VERSIONS); do \
+	    set -e; \
+	    mkdir -p debian/build/ruby$$v; \
+	    cd debian/build/ruby$$v; \
+	    RUBY=/usr/bin/ruby$$v; \
+	    ../../../configure $(commonconfflags) --with-ruby \
+		--docdir=/usr/share/doc/xapian-bindings-ruby$$v \
+		RUBY=$$RUBY \
+		RUBY_LIB=`$$RUBY -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]'` \
+		RUBY_LIB_ARCH=`$$RUBY -rrbconfig -e 'puts Config::CONFIG["archdir"]'`; \
+	    cd ../../..; \
+	done
+
+	mkdir -p debian/build/tcl
+	cd debian/build/tcl && ../../../configure $(commonconfflags) \
+	    --with-tcl TCLSH=$(TCLSH) TCL_LIB=/usr/lib/tcltk
 
 	touch $@
 
@@ -217,12 +200,39 @@
 	dh_testdir
 	for python in $(PYTHON_VERSIONS); do \
 	    set -e; \
-	    $(MAKE) -C build-$$python ; \
-	    $(MAKE_CHECK) -C build-$$python ; \
+	    $(MAKE) -C debian/build/$$python ; \
+	    $(MAKE_CHECK) -C debian/build/$$python ; \
 	done
 	for v in $(PHP_VERSIONS); do \
 	    if test -x /usr/bin/php-config$$v ; then \
 		set -e; \
-		$(MAKE) -C build-php$$v ; \
-		$(MAKE_CHECK) -C build-php$$v ; \
+		$(MAKE) -C debian/build/php$$v ; \
+		$(MAKE_CHECK) -C debian/build/php$$v ; \
 	    fi \
+	done
+	for v in $(RUBY_VERSIONS); do \
+	    set -e; \
+	    $(MAKE) -C debian/build/ruby$$v ; \
+	    $(MAKE_CHECK) -C debian/build/ruby$$v ; \
+	done
+	$(MAKE) -C debian/build/tcl
+	$(MAKE_CHECK) -C debian/build/tcl
+	touch $@
+
+install: DH_OPTIONS=
+install: build
+	dh_testdir
+	dh_testroot
+	dh_prep
+	dh_installdirs
+
+	# Install the files under 'debian/tmp'.
+	for python in $(PYTHON_VERSIONS); do \
+	    set -e; \
+	    $(MAKE) -C debian/build/$$python DESTDIR=$(CURDIR)/debian/tmp install; \
+	done
+
+	# Install xapian.php in /usr/share/php for PHP5 so that it's in the
+	# PHP include_path.
+	#
+	# Always install /etc/xapian/phpN/conf.d/xapian.ini, even for backports
