## xapian-bindings 1.2.5

=== debian/changelog ===
xapian-bindings (1.2.5-2ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - Don't build ruby1.9 bindings (universe only).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 May 2011 21:05:18 +0200

xapian-bindings (1.2.5-2) unstable; urgency=low

  * Use dh_python2 instead of pycentral for Debian >= squeeze and Ubuntu >=
    natty.  (Closes: #617149)
  * python/pythontest2.py: With Python 2.7, gc.collect() doesn't always
    collect all the garbage, so repeat until no further objects are
    freed.  (Closes: #625679)
  * ruby/smoketest.rb: Older Ruby 1.8.x doesn't have Dir.mktmpdir() -
    just skip the compaction tests for these versions.
  * debian/rules: Don't force building against tcl 8.5 in experimental - that
    was just for the transition to tcl 8.5 being the default.
  * debian/control.in: Standards-Version: 3.9.2 (no changes required).

 -- Olly Betts <olly@survex.com>  Tue, 17 May 2011 02:54:08 +0000

xapian-bindings (1.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Tue, 05 Apr 2011 13:52:50 +0000

xapian-bindings (1.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Tue, 21 Dec 2010 07:48:14 +0000

xapian-bindings (1.2.3-3ubuntu1) natty; urgency=low

  * Don't build ruby1.9 bindings (universe only).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 13:56:12 +0100
