=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7), python, python-central (>= 0.4.10), python-all-dev,   tcl-dev, ruby1.8-dev, ruby1.9.1-dev, ruby1.8, ruby1.9.1, libxapian-dev (>= 1.2.3), libxapian-dev (<< 1.3.0), autotools-dev, libxapian-dev (>= 1.2.0-2~)
-XS-Python-Version: all
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), python, python-all-dev (>= 2.6.6-3~),   tcl-dev, ruby1.8-dev, ruby1.8, libxapian-dev (>= 1.2.5), libxapian-dev (<< 1.3.0), autotools-dev, libxapian-dev (>= 1.2.0-2~)
+X-Python-Version: >= 2.3
 Homepage: http://xapian.org/
 Vcs-Browser: http://trac.xapian.org/browser/trunk/xapian-bindings
 Vcs-svn: svn://svn.xapian.org/xapian/trunk/xapian-bindings
@@ -35,7 +35,7 @@
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: xapian-doc
 Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
+X-Dummy: Remove me once python-central support is dropped
 Description: Xapian search engine interface for Python
  This package provides Xapian Python bindings for all the packaged versions
  of Python.
@@ -70,21 +70,21 @@
  The Xapian Ruby bindings provide an interface to the Xapian library from the
  Ruby programming language, allowing both indexing and retrieval operations.
 
-Package: libxapian-ruby1.9.1
-Section: ruby
-Architecture: any
-Depends: libruby1.9.1, ${shlibs:Depends}, ${misc:Depends}
-Suggests: xapian-doc
-Description: Xapian search engine interface for Ruby 1.9.1
- This package provides Xapian Ruby bindings built for Ruby 1.9.1.
- .
- The Xapian search engine library is a highly adaptable toolkit which allows
- developers to easily add advanced indexing and search facilities to their own
- applications.  It implements the probabilistic model of information retrieval,
- and provides facilities for performing ranked free-text searches, relevance
- feedback, phrase searching, boolean searching, stemming, and simultaneous
- update and searching.  It is highly scalable, and is capable of working with
- collections containing hundreds of millions of documents.
- .
- The Xapian Ruby bindings provide an interface to the Xapian library from the
- Ruby programming language, allowing both indexing and retrieval operations.
+#Package: libxapian-ruby1.9.1
+#Section: ruby
+#Architecture: any
+#Depends: libruby1.9.1, ${shlibs:Depends}, ${misc:Depends}
+#Suggests: xapian-doc
+#Description: Xapian search engine interface for Ruby 1.9.1
+# This package provides Xapian Ruby bindings built for Ruby 1.9.1.
+# .
+# The Xapian search engine library is a highly adaptable toolkit which allows
+# developers to easily add advanced indexing and search facilities to their own
+# applications.  It implements the probabilistic model of information retrieval,
+# and provides facilities for performing ranked free-text searches, relevance
+# feedback, phrase searching, boolean searching, stemming, and simultaneous
+# update and searching.  It is highly scalable, and is capable of working with
+# collections containing hundreds of millions of documents.
+# .
+# The Xapian Ruby bindings provide an interface to the Xapian library from the
+# Ruby programming language, allowing both indexing and retrieval operations.
