=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
-# Copyright (C) 2006,2007,2008,2009,2010 Olly Betts
+# Copyright (C) 2006,2007,2008,2009,2010,2011 Olly Betts
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -36,10 +36,7 @@
 # `--exclude=.EXT' arguments to pass dh_install
 DH_INSTALL_EXCLUDE := --exclude=.pyc --exclude=.pyo
 
-# The python versions to build for:
-PYTHON_VERSIONS := $(shell pyversions -r debian/control)
-
-BUILD_DEPS := debhelper (>= 7), python, python-central (>= 0.4.10), python-all-dev,
+BUILD_DEPS := debhelper (>= 7),
 
 # Disabled due to incompatibility of GPL and PHP licence.  Uncomment to build
 # your own binary packages (just don't distribute them!)
@@ -50,10 +47,25 @@
 else
 RUBY_VERSIONS := 1.8
 endif
-
+RUBY_VERSIONS := 1.8
+
+# The python versions to build for:
+PYTHON_VERSIONS := $(shell pyversions -r debian/control)
+
+ifeq ($(findstring .$(CODENAME)., .lenny.hardy.intrepid.jaunty.karmic.lucid.maverick.), )
+USING_PYCENTRAL := 0
+BUILD_DEPS += python, python-all-dev (>= 2.6.6-3~),
+XB_PYTHON_VERSION := X-Dummy: Remove me once python-central support is dropped
+X_PYTHON_VERSION := X-Python-Version: >= 2.3
+else
+USING_PYCENTRAL := 1
+BUILD_DEPS += python, python-central (>= 0.4.10), python-all-dev,
+XB_PYTHON_VERSION := XB-Python-Version: $${python:Versions}
+X_PYTHON_VERSION := XS-Python-Version: all
 # We'll need this if we ever generate different .py modules for different
 # supported python versions.
 #export DH_PYCENTRAL=nomove
+endif
 
 export DH_OPTIONS
 
@@ -100,11 +112,7 @@
 #
 # lenny/hardy onwards have a "tcl-dev" dummy package which pulls in the package
 # for the current preferred version.
-ifeq ($(CODENAME), experimental)
-BUILD_DEPS += tcl-dev (>= 8.5), tcl (>= 8.5),# NB Trailing ',' required here!
-else
 BUILD_DEPS += tcl-dev,# NB Trailing ',' required here!
-endif
 TCLSH=/usr/bin/tclsh-default
 
 # Build depends for Ruby.
@@ -137,6 +145,8 @@
 debian/control: debian/rules debian/control.in
 	rm -f debian/control.tmp
 	sed -e "s/@BUILD_DEPS@/$(BUILD_DEPS)/g" \
+	    -e "s/@X_PYTHON_VERSION@/$(X_PYTHON_VERSION)/g" \
+	    -e "s/@XB_PYTHON_VERSION@/$(XB_PYTHON_VERSION)/g" \
 	    < debian/control.in > debian/control.tmp
 	for v in $(PHP_VERSIONS); do \
 	    sed "s/@PHP_VERSION@/$$v/g" debian/control-php.in ;\
@@ -219,20 +229,3 @@
 	$(MAKE_CHECK) -C debian/build/tcl
 	touch $@
 
-install: DH_OPTIONS=
-install: build
-	dh_testdir
-	dh_testroot
-	dh_prep
-	dh_installdirs
-
-	# Install the files under 'debian/tmp'.
-	for python in $(PYTHON_VERSIONS); do \
-	    set -e; \
-	    $(MAKE) -C debian/build/$$python DESTDIR=$(CURDIR)/debian/tmp install; \
-	done
-
-	# Install xapian.php in /usr/share/php for PHP5 so that it's in the
-	# PHP include_path.
-	#
-	# Always install /etc/xapian/phpN/conf.d/xapian.ini, even for backports
