## xapian-bindings 1.2.7

=== debian/changelog ===
xapian-bindings (1.2.7-1) unstable; urgency=low

  * New upstream release.
    + Includes fixes for #625679 and Ruby Dir.mktmpdir() issue, so drop
      patches for these.
  * debian/rules: Use single quotes for substituting into debian/control.in to
    stop the shell from attempting to expand ${python:Versions}.
  * debian/rules: Use build-stamp and configure-stamp in the top level rather
    than in the debian subdirectory - this is consistent with where other
    packages put these files, and means dh_clean removes them for us
    automatically.
  * debian/rules: Add build-arch and build-indep targets.

 -- Olly Betts <olly@survex.com>  Fri, 12 Aug 2011 02:08:22 +0000
