## xapian-bindings 1.2.8

=== debian/changelog ===
xapian-bindings (1.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Sat, 17 Dec 2011 10:48:13 +0000
