=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7), python, python-all-dev (>= 2.6.6-3~),   tcl-dev, ruby1.8-dev, ruby1.9.1-dev, ruby1.8, ruby1.9.1, libxapian-dev (>= 1.2.7), libxapian-dev (<< 1.3.0), autotools-dev, libxapian-dev (>= 1.2.0-2~)
+Build-Depends: debhelper (>= 7), python, python-all-dev (>= 2.6.6-3~),   tcl-dev, ruby1.8-dev, ruby1.9.1-dev, ruby1.8, ruby1.9.1, libxapian-dev (>= 1.2.8), libxapian-dev (<< 1.3.0), autotools-dev, libxapian-dev (>= 1.2.0-2~)
 X-Python-Version: >= 2.3
 Homepage: http://xapian.org/
 Vcs-Browser: http://trac.xapian.org/browser/trunk/xapian-bindings
