=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,6 @@
 else
 RUBY_VERSIONS := 1.8
 endif
-RUBY_VERSIONS := 1.8
 
 # The python versions to build for:
 PYTHON_VERSIONS := $(shell pyversions -r debian/control)
@@ -144,9 +143,9 @@
 
 debian/control: debian/rules debian/control.in
 	rm -f debian/control.tmp
-	sed -e "s/@BUILD_DEPS@/$(BUILD_DEPS)/g" \
-	    -e "s/@X_PYTHON_VERSION@/$(X_PYTHON_VERSION)/g" \
-	    -e "s/@XB_PYTHON_VERSION@/$(XB_PYTHON_VERSION)/g" \
+	sed -e 's/@BUILD_DEPS@/$(BUILD_DEPS)/g' \
+	    -e 's/@X_PYTHON_VERSION@/$(X_PYTHON_VERSION)/g' \
+	    -e 's/@XB_PYTHON_VERSION@/$(XB_PYTHON_VERSION)/g' \
 	    < debian/control.in > debian/control.tmp
 	for v in $(PHP_VERSIONS); do \
 	    sed "s/@PHP_VERSION@/$$v/g" debian/control-php.in ;\
@@ -156,8 +155,8 @@
 	done >> debian/control.tmp
 	mv debian/control.tmp debian/control
 
-configure: debian/configure-stamp
-debian/configure-stamp:
+configure: configure-stamp
+configure-stamp:
 	dh_testdir
 
 	# Use the latest config.sub and config.guess from the autotools-dev
@@ -205,8 +204,10 @@
 
 	touch $@
 
-build: debian/build-stamp
-debian/build-stamp: configure
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp: configure
 	dh_testdir
 	for python in $(PYTHON_VERSIONS); do \
 	    set -e; \
